Name:		rawstudio
Version:	2.0
Release:	%mkrel 1
Summary:	Graphical tool to convert raw images of digital cameras
Group:		Graphics
URL:		http://rawstudio.org/
Source0:	http://rawstudio.org/files/release/%{name}-%{version}.tar.xz
License:	GPLv2
BuildRequires:	gtk+2-devel libjpeg-devel libGConf2-devel GConf2
BuildRequires:	libtiff-devel zlib-devel lcms-devel imagemagick
BuildRequires:	libexiv-devel lensfun-devel flickcurl-devel gphoto2-devel
BuildRequires:	sqlite3-devel libxml2-devel fftw3-devel
Buildroot:	%_tmppath/%name-%version-%release-root
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%description
Rawstudio is an open source raw-image converter written in GTK+.

Features:
* Reads all dcraw supported formats
* Internal 16bit rgb
* Various post-shot controls (white balance, saturation and exposure
  compensation among others)
* Realtime histogram
* Optimized for MMX, 3dnow! and SSE (detected runtime)
* Easy sorting of images
* Fullscreen mode for better overview

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot

%makeinstall_std
%find_lang %{name}

install -d %buildroot%{_datadir}/icons/{large,mini}

convert pixmaps/rawstudio.png -resize 32x32 %buildroot%{_iconsdir}/%{name}.png
convert pixmaps/rawstudio.png -resize 16x16 %buildroot%{_miconsdir}/%{name}.png
cp pixmaps/rawstudio.png %buildroot%{_liconsdir}/%{name}.png

rm -fr %buildroot%_includedir %buildroot%_libdir/{*.so,*.la,pkgconfig}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -fr %buildroot

%post
%update_desktop_database
%update_menus

%postun
%clean_menus
%clean_desktop_database

%files -f %{name}.lang
%defattr(-,root,root)
%docdir %{_docdir}/%{name}-%{version}
%doc README
%_bindir/*
%_libdir/*.so.*
%_datadir/%name
%_datadir/rawspeed
%_datadir/applications/*
%_datadir/pixmaps/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png


%changelog
* Sat Apr 09 2011 Texstar <texstar at gmail.com> 2.0-1pclos2011
- 2.0

* Thu Jun 10 2010 Texstar <texstar at gmail.com> 1.2-2pclos2010
- rebuild for new libexiv2

* Thu Mar 25 2010 Texstar <texstar at gmail.com> 1.2-1pclos2010
- 1.2
- trim specfile

